Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  <20032004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  <20032004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019 
<== Date ==> <== Thread ==>

Subject: Building 3.14.1 for MVME5100 (Internal compiler error)
From: Zoltan Kakucs <Zoltan.Kakucs@desy.de>
To: Tech Talk <tech-talk@aps.anl.gov>
Date: Mon, 31 Mar 2003 13:54:20 +0200
Hi,

I began to investigate 3.14.1 in our environment.
I have no problems building and running this release for solaris-sparc, but I've got some mad errors compiling the same release for MVME5100 PowerPC. The compiler is the supplied cross-compiler of the Tornado2.2 installation package.

This is the error I'm getting:

/u1/wind/2.2_PowerPC/host/sun4-solaris2/bin/ccppc -c   -D_POSIX_SOURCE       -DCPU=PPC604  -DvxWorks -include /u1/wind/2.2_PowerPC/target/h/vxWorks.h  -ansi -pedantic  -O3  -Wall     -mcpu=604 -mstrict-align -fno-implicit-templates   -fno-builtin -I. -I.. -I../../../include/os/vxWorks -I../../../include       -I/u1/wind/2.2_PowerPC/target/h  ../cac.cpp
In file included from /u1/wind/2.2_PowerPC/target/h/vxWorks.h:182,
                 from ../cac.cpp:1:
/u1/wind/2.2_PowerPC/target/h/types/vxTypes.h:112: warning: ANSI C++ does not support `long long'
/u1/wind/2.2_PowerPC/target/h/types/vxTypes.h:117: warning: ANSI C++ does not support `long long'
In file included from /u1/wind/2.2_PowerPC/target/h/vxWorks.h:183,
                 from ../cac.cpp:1:
/u1/wind/2.2_PowerPC/target/h/types/vxTypesOld.h:87: warning: ANSI C++ does not support `long long'
/u1/wind/2.2_PowerPC/target/h/types/vxTypesOld.h:92: warning: ANSI C++ does not support `long long'
In file included from ../virtualCircuit.h:35,
                 from ../cac.cpp:37:
../comQueSend.h: In method `void comQueSend::push<ca_uint16_t>(const ca_uint16_t &)':
.../comQueSend.h:145:   instantiated from here
.../comQueSend.h:123: Internal compiler error.
.../comQueSend.h:123: Internal compiler error:
.../comQueSend.h:123: Please submit a full bug report.
gmake[3]: *** [cac.o] Error 1
gmake[3]: Leaving directory `/import/epicsf2/user/group/mks/kakucs/EpicsR3.14.1/base/src/ca/O.vxWorks-ppc604'
gmake[2]: *** [install.vxWorks-ppc604] Error 2
gmake[2]: Leaving directory `/import/epicsf2/user/group/mks/kakucs/EpicsR3.14.1/base/src/ca'
gmake[1]: *** [ca.install] Error 2
gmake[1]: Leaving directory `/import/epicsf2/user/group/mks/kakucs/EpicsR3.14.1/base/src'
gmake: *** [src.install] Error 2

I am about to investigate this problem, but currently I have no bright idea how to solve this.
Has anyone else seen this problem ?

Regards

Zoltan Kakucs

Replies:
Re: Building 3.14.1 for MVME5100 (Internal compiler error) Andrew Johnson

Navigate by Date:
Prev: RE: "assert (!plink->value.pv_link.pvt)" failed Feng, Shuchen
Next: Re: Building 3.14.1 for MVME5100 (Internal compiler error) Andrew Johnson
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  <20032004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019 
Navigate by Thread:
Prev: ca client cannot connect server M.C.Shao
Next: Re: Building 3.14.1 for MVME5100 (Internal compiler error) Andrew Johnson
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  <20032004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  2018  2019 
ANJ, 10 Aug 2010 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·